com.rscja.deviceapi

## Enum FingerprintWithFIPS.DataFormat

- java.lang.Object
- - java.lang.Enum<FingerprintWithFIPS.DataFormat>
  - - com.rscja.deviceapi.FingerprintWithFIPS.DataFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FingerprintWithFIPS.DataFormat>
  Enclosing class:
    FingerprintWithFIPS

      public static enum FingerprintWithFIPS.DataFormat
      extends java.lang.Enum<FingerprintWithFIPS.DataFormat>

  指纹数据格式
  Fingerprint data format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANSI`
    `ISO_FMC_COMPACT`
    `ISO_FMC_NORMAL`
    `ISO_FMR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FingerprintWithFIPS.DataFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FingerprintWithFIPS.DataFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANSI

          public static final FingerprintWithFIPS.DataFormat ANSI

    - #### ISO_FMR

          public static final FingerprintWithFIPS.DataFormat ISO_FMR

    - #### ISO_FMC_NORMAL

          public static final FingerprintWithFIPS.DataFormat ISO_FMC_NORMAL

    - #### ISO_FMC_COMPACT

          public static final FingerprintWithFIPS.DataFormat ISO_FMC_COMPACT

  - ### Method Detail

    - #### values

          public static FingerprintWithFIPS.DataFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FingerprintWithFIPS.DataFormat c : FingerprintWithFIPS.DataFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FingerprintWithFIPS.DataFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null